### Class

# Phosh CallsDBusObjectSkeleton

#### Description [src]

    class Phosh.CallsDBusObjectSkeleton : Gio.DBusObjectSkeleton
      implements Gio.DBusObject, Phosh.CallsDBusObject {
      /* No available fields */
    }

The `PhoshCallsDBusObjectSkeleton` structure contains only private data and should only be accessed using the provided API.

#### Ancestors

- GDBusObjectSkeleton
- GObject

#### Implements

- GDBusObject
- PhoshCallsDBusObject

#### Constructors

###### phosh_calls_dbus_object_skeleton_new

Creates a new skeleton object.

#### Instance methods

###### phosh_calls_dbus_object_skeleton_set_calls_call

Sets the `PhoshCallsDBusCallsCall` instance for the D-Bus interface org.gnome.Calls.Call on `object`.

##### Methods inherited from GDBusObjectSkeleton (5)

###### g_dbus_object_skeleton_add_interface

Adds `interface_` to `object`.

###### g_dbus_object_skeleton_flush

This method simply calls `g_dbus_interface_skeleton_flush()` on all interfaces belonging to `object`. See that method for when flushing is useful.

###### g_dbus_object_skeleton_remove_interface

Removes `interface_` from `object`.

###### g_dbus_object_skeleton_remove_interface_by_name

Removes the `GDBusInterface` with `interface_name` from `object`.

###### g_dbus_object_skeleton_set_object_path

Sets the object path for `object`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GDBusObject (3)

###### g_dbus_object_get_interface

Gets the D-Bus interface with name `interface_name` associated with `object`, if any.

###### g_dbus_object_get_interfaces

Gets the D-Bus interfaces associated with `object`.

###### g_dbus_object_get_object_path

Gets the object path for `object`.

##### Methods inherited from PhoshCallsDBusObject (2)

###### phosh_calls_dbus_object_get_calls_call

Gets the `PhoshCallsDBusCallsCall` instance for the D-Bus interface org.gnome.Calls.Call on `object`, if any.

###### phosh_calls_dbus_object_peek_calls_call

Like `phosh_calls_dbus_object_get_calls_call()` but doesn’t increase the reference count on the returned object.

#### Properties

##### Properties inherited from GDBusObjectSkeleton (1)

###### Gio.DBusObjectSkeleton:g-object-path

The object path where the object is exported.

##### Properties inherited from PhoshCallsDBusObject (1)

###### PhoshCallsDBusObject:calls-call

The `PhoshCallsDBusCallsCall` instance corresponding to the D-Bus interface org.gnome.Calls.Call, if any.

#### Signals

##### Signals inherited from GDBusObjectSkeleton (1)

###### GDBusObjectSkeleton::authorize-method

Emitted when a method is invoked by a remote caller and used to determine if the method call is authorized.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GDBusObject (2)

###### GDBusObject::interface-added

Emitted when `interface` is added to `object`.

###### GDBusObject::interface-removed

Emitted when `interface` is removed from `object`.

#### Class structure

    struct PhoshCallsDBusObjectSkeletonClass {
      GDBusObjectSkeletonClass parent_class;

    }

Class structure for `PhoshCallsDBusObjectSkeleton`.

###### Class members

`parent_class: GDBusObjectSkeletonClass`

  The parent class.